MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029958Open CASCADE[OCCT] OCCT:Visualizationpublic2018-07-13 23:122018-07-28 12:38
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0029958: Visualization - add method Graphic3d_ArrayOfPrimitives::AddEdges() taking up to 4 edges
DescriptionCurrent interface of Graphic3d_ArrayOfPrimitives requires each index being added independently by ::AddEdge() call.

However, in case of most used collections Graphic3d_ArrayOfTriangles and Graphic3d_ArrayOfSegments it would be more natural having a method taking 3 (triangle) or 2 (segment) edges.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0077595)
git (administrator)
2018-07-13 23:14

Branch CR29958 has been created by kgv.

SHA-1: f36557f8b505d36a30eed20fbdbd68fef1db42b2


Detailed log of new commits:

Author: kgv
Date: Fri Jul 13 23:12:26 2018 +0300

    0029958: Visualization - add method Graphic3d_ArrayOfPrimitives::AddEdges() taking up to 4 edges
(0077596)
kgv (developer)
2018-07-13 23:15

Patch is ready for review.
(0077598)
git (administrator)
2018-07-14 12:41

Branch CR29958 has been deleted by inv.

SHA-1: f36557f8b505d36a30eed20fbdbd68fef1db42b2
(0077628)
git (administrator)
2018-07-14 14:01

Branch CR29958 has been created by inv.

SHA-1: c54280b74cff18ab396d214e0eb31962f5cb4be2


Detailed log of new commits:

Author: bugmaster
Date: Sat Jul 14 13:59:22 2018 +0300

    0029958: Visualization - add method Graphic3d_ArrayOfPrimitives::AddEdges() taking up to 4 edges
(0077863)
git (administrator)
2018-07-20 20:17

Branch CR29958 has been updated forcibly by san.

SHA-1: 8e3bd3daf0102e3c5e436a678ee122f126ca5ff3
(0077864)
san (developer)
2018-07-20 20:18

Branch CR29958 reviewed without remarks
(0077934)
bugmaster (administrator)
2018-07-23 17:18

Combination -
OCCT branch : CR29958 SHA - c54280b74cff18ab396d214e0eb31962f5cb4be2
Products branch : master SHA - edc03a9d94e87d0141f8dbfdc1c42f755e9765d9
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 17245.84000000005 / 17080.800000000007 [+0.97%]
Products
Total CPU difference: 7481.57000000003 / 7461.820000000036 [+0.26%]
Windows-64-VC10:
OCCT
Total CPU difference: 17068.209810898687 / 16984.608874998572 [+0.49%]
Products
Total CPU difference: 8188.196088099889 / 8248.209672799876 [-0.73%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0078140)
git (administrator)
2018-07-28 12:38

Branch CR29958 has been deleted by inv.

SHA-1: 8e3bd3daf0102e3c5e436a678ee122f126ca5ff3

- Related Changesets
occt: master fb60181a
Timestamp: 2018-07-14 10:59:22
Author: kgv
Committer: bugmaster
Details ] Diff ]
0029958: Visualization - add method Graphic3d_ArrayOfPrimitives::AddEdges() taking up to 4 edges
mod - src/AIS/AIS_ColorScale.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ArrayOfPrimitives.hxx Diff ] File ]
mod - src/StdPrs/StdPrs_ShadedShape.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-07-13 23:12 kgv New Issue
2018-07-13 23:12 kgv Assigned To => kgv
2018-07-13 23:14 git Note Added: 0077595
2018-07-13 23:15 kgv Note Added: 0077596
2018-07-13 23:15 kgv Assigned To kgv => san
2018-07-13 23:15 kgv Status new => resolved
2018-07-14 12:41 git Note Added: 0077598
2018-07-14 14:01 git Note Added: 0077628
2018-07-20 20:17 git Note Added: 0077863
2018-07-20 20:18 san Note Added: 0077864
2018-07-20 20:18 san Assigned To san => bugmaster
2018-07-20 20:18 san Status resolved => reviewed
2018-07-23 17:17 bugmaster Test case number => Not needed
2018-07-23 17:18 bugmaster Note Added: 0077934
2018-07-23 17:18 bugmaster Status reviewed => tested
2018-07-28 12:26 bugmaster Changeset attached => occt master fb60181a
2018-07-28 12:26 bugmaster Status tested => verified
2018-07-28 12:26 bugmaster Resolution open => fixed
2018-07-28 12:38 git Note Added: 0078140


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker